Page MenuHomePhabricator

in ULS Event Logging, log the context in which the ULS instance is used
Closed, ResolvedPublic

Description

Back in 2013 when Event Logging was first added to ULS, ULS was used in very few contexts—interlanguage area (for settings, not for Compact Language Links), personal bar, target language selection in Translate, and hardly anything else. Now in 2017, it is used all over the place: Wikidata, Upload Wizard, Compact Language Links, and other places.

Different contexts have different needs for logging. Last week when I was analyzing the data about failed language name searches (see T178996), I realized that many valid languages are not found because in some contexts they are not supposed to be found. For example in Compact Language Links, when an article is not available in that language. It may still be useful to log this failed search, but it will have to be analyzed differently. In Translate, differentiating Traditional and Simplified Chinese is useful, but not in Compact Language Links. And so on.

So this must be fixed by updating the schemas and the logging code. This will open up curious new possibilities, for example being able to learn for versions of which articles are people searching in their language and failing to find.

Event Timeline

Amire80 created this task.Oct 31 2017, 3:10 PM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptOct 31 2017, 3:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 moved this task from Backlog to Analytics on the ULS-CompactLinks board.Oct 31 2017, 3:35 PM
Amire80 triaged this task as Normal priority.Jan 2 2018, 2:04 PM
Arrbee assigned this task to Amire80.Feb 8 2018, 8:22 AM

Change 416365 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] WIP: Log the context of the ULS in which no search results were found

https://gerrit.wikimedia.org/r/416365

Change 413270 had a related patch set uploaded (by Amire80; owner: Amire80):
[analytics/limn-language-data@master] WIP Analyzing failed ULS searches

https://gerrit.wikimedia.org/r/413270

Change 416365 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Log the context of the ULS in which no search results were found

https://gerrit.wikimedia.org/r/416365

Amire80 moved this task from In Review to QA on the Language-2018-Jan-Mar board.Mar 13 2018, 12:05 PM
Amire80 removed a project: Patch-For-Review.

Thanks for merging. I'll test tonight when it's deployed.

Change 419699 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] Parse the parameters to no-results-found event as an object

https://gerrit.wikimedia.org/r/419699

Change 419773 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls from upstream

https://gerrit.wikimedia.org/r/419773

Change 419773 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls from upstream

https://gerrit.wikimedia.org/r/419773

Change 419699 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Parse the parameters to no-results-found event as an object

https://gerrit.wikimedia.org/r/419699

Amire80 moved this task from In Review to QA on the Language-2018-Jan-Mar board.Mar 21 2018, 8:46 AM

Thanks for merging.

This was deployed in the train yesterday. I just checked it in production using this query:

select webHost, event_ulsPurpose, event_contentLanguage, event_context, event_title, event_token from UniversalLanguageSelector_17799034 where event_action = "no-search-results" and event_ulsPurpose is not null;

It looks like event_title and event_ulsPurpose are now logged in mediawiki.org and test.wikipedia.org, as I would expect.

Does anybody else want to test? If not, we can mark it as resolved.

Follow-ups:

Amire80 closed this task as Resolved.Mar 24 2018, 7:47 PM
Amire80 removed a project: Patch-For-Review.

The Event logging part is fully done and deployed. The follow up task is T190630. I'll continue https://gerrit.wikimedia.org/r/#/c/413270/ as part of that task.